Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230925 - beagle should require gsf-sharp
Summary: beagle should require gsf-sharp
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: beagle
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-04 19:42 UTC by Mads Villadsen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-17 01:34:19 UTC


Attachments (Terms of Use)

Description Mads Villadsen 2007-03-04 19:42:19 UTC
Description of problem:
The beagle rpm is missing a a requirement on gsf-sharp and therefore beagled
cannot start.

Version-Release number of selected component (if applicable):
beagle-0.2.16.2-1.fc7

How reproducible:
Always.

Steps to Reproduce:
1. yum install beagle
2. run beagled
3. watch it crash due to not being able to load gsf-sharp library.
  
4. yum install gsf-sharp (installed gsf-sharp-0.8.1-2.fc6 which probably
indicated a needed rebuild)
5. run beagled
6. watch it run

Comment 1 Mads Villadsen 2007-03-05 18:41:28 UTC
I also installed beagle-evolution, which seems to be missing a dependency on
evolution-sharp - so I installed that as well.

However after all this I get the following exception, so I am obviously still
missing a package:

20070305 19:28:48.1798 04041 Beagle ERROR EX: Unable to start
EvolutionDataServer backend: Unable to find or open libraries:
20070305 19:28:48.1798 04041 Beagle ERROR EX: System.DllNotFoundException:
gobject-2.0
20070305 19:28:48.1798 04041 Beagle ERROR EX:   at (wrapper managed-to-native)
Evolution.ContactPhoto:g_boxed_copy (GLib.GType,intptr)
20070305 19:28:48.1798 04041 Beagle ERROR EX:   at Evolution.ContactPhoto..ctor
(IntPtr raw) [0x00000] 
20070305 19:28:48.1798 04041 Beagle ERROR EX:   at
Evolution.ContactPhoto.op_Explicit (Value val) [0x00000] 
20070305 19:28:48.1798 04041 Beagle ERROR EX:   at Evolution.Contact.get_Photo
() [0x00000] 
20070305 19:28:48.1798 04041 Beagle ERROR EX:   at
Beagle.Daemon.EvolutionDataServerQueryable.BookContainer.ContactToIndexable
(Evolution.Contact contact) [0x00000] 
20070305 19:28:48.1798 04041 Beagle ERROR EX:   at
Beagle.Daemon.EvolutionDataServerQueryable.BookContainer.AddContact
(Evolution.Contact contact) [0x00000] 
20070305 19:28:48.1798 04041 Beagle ERROR EX:   at
Beagle.Daemon.EvolutionDataServerQueryable.BookContainer.IndexChanges () [0x00000] 
20070305 19:28:48.1798 04041 Beagle ERROR EX:   at
Beagle.Daemon.EvolutionDataServerQueryable.SourcesHandler.IndexSourceGroup
(Evolution.SourceGroup group, Boolean all_items) [0x00000] 
20070305 19:28:48.1798 04041 Beagle ERROR EX:   at
Beagle.Daemon.EvolutionDataServerQueryable.SourcesHandler..ctor (System.String
gconf_key, System.Type container_type, Beagle.Daemon.EvolutionD
ataServerQueryable.EvolutionDataServerQueryable queryable, System.String
fingerprint) [0x00000] 
20070305 19:28:48.1798 04041 Beagle ERROR EX:   at
Beagle.Daemon.EvolutionDataServerQueryable.EvolutionDataServerQueryable.StartWorker
() [0x00000] 


Comment 2 Alexander Larsson 2007-03-07 09:52:17 UTC
Those dependencies should have been auto-generated by rpm.
I.e. FC6 has:
mono(gsf-sharp) = 0.0.0.7


Comment 3 Alexander Larsson 2007-03-07 10:21:38 UTC
beagle-0.2.16.2-2.fc7 has the workaround by using manual requirements.

The second problem sound very weird though. Its like you don't have glib2
installed...

Comment 4 Mads Villadsen 2007-03-07 22:27:06 UTC
The second problem appears to have gone away now - possible sometime after I
restarted my computer.

Comment 5 Matthias Clasen 2007-06-17 01:34:19 UTC
Probably not worth keeping this bug open then.


Note You need to log in before you can comment on or make changes to this bug.